package org.artifactory.traffic;

import lombok.experimental.UtilityClass;
import lombok.extern.slf4j.Slf4j;
import org.artifactory.traffic.entry.OutboundRequestEntry;

/**
 * Logger class for outbound requests made by Remote Repositories.
 *
 * @author Andrey Tashlitsky
 */
@Slf4j
@UtilityClass
public class OutboundRequestLogger {

    /**
     * Log the outbound requests made by the Remote Repositories to artifactory-service-out.log.
     *
     * @param outboundRequestEntry The outbound request entry to log.
     */
    public void logEntry(OutboundRequestEntry outboundRequestEntry) {
        log.info(outboundRequestEntry.toString());
    }
}
