package org.artifactory.api.repo;


import lombok.AllArgsConstructor;
import lombok.Getter;
import org.artifactory.sapi.interceptor.context.DeleteContext;
import org.artifactory.workqueue.WorkItem;
import org.jetbrains.annotations.NotNull;

@Getter
@AllArgsConstructor
public class AsyncDeleteWorkItem extends WorkItem {

    private final boolean pruneEmptyFolders;
    private final DeleteContext deleteContext;

    @NotNull
    @Override
    public String getUniqueKey() {
        return deleteContext.getRepoPath().toPath();
    }


    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        AsyncDeleteWorkItem that = (AsyncDeleteWorkItem) o;
        return deleteContext.getRepoPath().equals(that.deleteContext.getRepoPath());
    }

    @Override
    public int hashCode() {
        return deleteContext.getRepoPath().hashCode();
    }
}
