package org.artifactory.core.api.ph.service;

import org.springframework.scheduling.concurrent.ConcurrentTaskExecutor;

/**
 * Supplier for the default ConcurrentTaskExecutor (CachedThreadPoolTaskExecutor)
 * When the package handler will get seperated to a different service, it will maintain its own ConcurrentTaskExecutor.
 */
public interface PackageTaskExecutorSupplier {

    ConcurrentTaskExecutor getDefaultTaskExecutor();
}
