package org.artifactory.core.api.ph.vcs.configuration;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Map;

/**
 * VcsProvider configuration model
 */
@Getter
@AllArgsConstructor
public class PhVcsProviderConfiguration {

    private final String prettyText;
    private final String refsPrefix;
    private final String repositoryDownloadUrl;
    private final String resourceDownloadUrl;
    private final Map<String, String> headers;
    private final String releaseDownloadUrl;

    protected PhVcsProviderConfiguration(String prettyText, String refsPrefix, String repositoryDownloadUrl) {
        this.prettyText = prettyText;
        this.refsPrefix = refsPrefix;
        this.repositoryDownloadUrl = repositoryDownloadUrl;
        this.resourceDownloadUrl = null;
        this.headers = null;
        this.releaseDownloadUrl = null;
    }

    protected PhVcsProviderConfiguration(String prettyText, String refsPrefix, String repositoryDownloadUrl,
            String resourceDownloadUrl) {
        this.prettyText = prettyText;
        this.refsPrefix = refsPrefix;
        this.repositoryDownloadUrl = repositoryDownloadUrl;
        this.resourceDownloadUrl = resourceDownloadUrl;
        this.headers = null;
        this.releaseDownloadUrl = null;
    }
}
