package org.artifactory.core.api.ph.virtual.resolution;

import java.util.HashSet;
import java.util.Set;

/**
 * Used by the {@link org.artifactory.core.api.ph.virtual.VirtualRepoTraversal} to collect all the valid versions of
 * the given package.
 */
public class PackageMetadataVersionsSet<T extends PackageMetadataRow> {

    private final Set<T> versions;
    private final boolean isPriorities;

    public PackageMetadataVersionsSet(boolean isPriorities) {
        versions = new HashSet<>();
        this.isPriorities = isPriorities;
    }

    public Set<T> getVersions() {
        return versions;
    }

    public boolean isPriorities() {
        return isPriorities;
    }
}
