#! /bin/bash

#Display an error
error() {
    echo -e "\033[31m[ERROR] $1 \033[0m"; echo
    exit 1
}

warn() {
    echo -e "\033[31m[WARNING] $1 \033[0m"; echo
}

SCRIPT_DIR=$(dirname $0)
SCRIPT_HOME="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

initHelper() {
    export DIAGNOSTICS_PATH="${SCRIPT_HOME}/target/configuration-manager-extract/configuration-manager/diagnostics/diagnostics-linux-amd64"
    local OS_TYPE=$(uname)
    if [ "${OS_TYPE}" == "Darwin" ]; then
        export DIAGNOSTICS_PATH="${SCRIPT_HOME}/target/configuration-manager-extract/configuration-manager/diagnostics/diagnostics-darwin-amd64"
    fi
}

lintSystemYaml() {
    if [ ! -f "${DIAGNOSTICS_PATH}" ];  then
        warn "Could not find the diagnotics binary to lint system.full-template.yaml"
        return
    fi
    ${DIAGNOSTICS_PATH} lint yaml ${SCRIPT_HOME}/base/src/main/install/misc/etc/system.full-template.yaml --uncomment-before-parse; status=$?
    if [ "${status}" == "0" ]; then
        echo "system.full-template.yaml lint succeeded"
    else
        warn "system.full-template.yaml lint failed"
    fi
}

initHelper
lintSystemYaml
exit 0