/*
 *
 * Copyright 2018 JFrog Ltd. All rights reserved.
 * JFROG PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package org.artifactory.storage.db.initializer;


import java.util.Properties;

import static org.artifactory.storage.db.initializer.ITestDbTestUtils.LOCK_DB_PREFIX;

/**
 * @author haims
 */
public class DerbyTestDBInitializer extends BaseTestDBInitializer {

    DerbyTestDBInitializer() {
        super("derby");
    }

    @Override
    public Properties setup(String dbSchemaName) {
        Properties updatedProps = getProps();
        prepareDbAndSchemaForAdditionalLockingDb(dbSchemaName, updatedProps, isForceAnotherDbForLocking());
        return updatedProps;
    }

    private void prepareDbAndSchemaForAdditionalLockingDb(String dbSchemaName, Properties updatedProps,
            boolean forceAnotherDbForLocking) {
        if (forceAnotherDbForLocking) {
            log.info("Additional DB should be created for locking");
            String lockingDbUser = LOCK_DB_PREFIX + dbSchemaName;
            String lockingDbPass = LOCK_DB_PREFIX + "pass";
            updatedProps.setProperty(LOCKINGDB_TYPE, updatedProps.getProperty("type"));
            updatedProps.setProperty(LOCKINGDB_URL, updatedProps.getProperty("url"));
            updatedProps.setProperty(LOCKINGDB_DRIVER, updatedProps.getProperty("driver"));
            updatedProps.setProperty(LOCKINGDB_USERNAME, lockingDbUser);
            updatedProps.setProperty(LOCKINGDB_PASS, lockingDbPass);
        }
    }
}
